> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List invoice payables

> Returns a paginated list of invoice payables



## OpenAPI

````yaml /openapi-public.json get /v1/bff/invoice-payables
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/bff/invoice-payables:
    get:
      tags:
        - v1 - Invoice Payables
      summary: List invoice payables
      description: Returns a paginated list of invoice payables
      operationId: listInvoicePayables
      parameters:
        - name: sort
          in: query
          schema:
            type: string
            description: >-
              Sort string in the format `field:direction`. To provide multiple
              sort fields, separate them with commas.


              Available directions: `asc`, `desc`. 


              Available fields: `amount`, `canceledAt`, `companyEntityName`,
              `description`, `dueDate`, `fromAccountName`, `createdAt`,
              `invoiceNumber`, `issuedDate`, `ocrCompletedAt`, `paymentAt`,
              `senderEmail`, `state`, `vendorName`, `businessPartnerName`,
              `nextApproverName`.
            example: amount:desc,createdAt:asc
        - name: filter
          in: query
          schema:
            type: string
            description: >-
              Filter string in the format `field:operator:value`. To provide
              multiple filters, separate them with commas.


              Available operators: `eq`, `ne`, `in`, `not_in`, `gt`, `gte`,
              `lt`, `lte`.
               - For `in` and `not_in` operators, provide multiple values separated by the pipe character (`|`). 

              Available fields: `approverUserId`, `id`, `vendorId`, `userId`,
              `companyEntityId`, `senderBankAccountId`, `amount`, `description`,
              `documentNumber`, `dueDate`, `issuedDate`, `paymentAt`,
              `createdAt`, `updatedAt`, `state`, `vendorName`, `userFirstName`,
              `userLastName`, `type`.
            example: state:in:IN_DRAFT|SCHEDULED|PAID,amount:gte:500,vendorId:ne:null
        - name: limit
          in: query
          description: Maximum number of items to return. Default is 50, maximum is 200.
          schema:
            maximum: 200
            type: integer
            format: int32
        - name: offset
          in: query
          description: >-
            Number of items to skip before starting to collect the result set.
            Deprecated, use 'cursor' instead.
          deprecated: true
          schema:
            type: integer
            format: int64
        - name: cursor
          in: query
          description: >-
            The cursor position to start returning results from.

            To opt-in into cursor-based pagination, provide `0` for the initial
            request.

            For subsequent requests, use `nextCursor` and `prevCursor` from the
            previous response to navigate.

            Cursor values are opaque and should not be constructed manually.
          schema:
            type: string
        - name: include
          in: query
          schema:
            uniqueItems: true
            type: array
            items:
              type: string
              description: >-
                ⚠️ This enum is not exhaustive; new values may be added in the
                future.
              enum:
                - REIMBURSEMENT
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: >-
                  #/components/schemas/ExternalPaginatedResponseV1ModelExternalBffInvoicePayableV1Model
components:
  schemas:
    ExternalPaginatedResponseV1ModelExternalBffInvoicePayableV1Model:
      type: object
      properties:
        records:
          type: array
          description: List of records for the current page
          items:
            $ref: '#/components/schemas/ExternalBffInvoicePayableV1Model'
        hasMore:
          type: boolean
          description: Boolean flag indicating if there are more records available
        total:
          type: integer
          description: >-
            Total number of records (only for offset pagination). This field is
            not guaranteed to be returned and only available for offset
            pagination, please do not rely on it and migrate to cursor
            pagination.
          format: int64
          nullable: true
          deprecated: true
        nextCursor:
          type: string
          description: Cursor for fetching the next page (only for cursor pagination)
          nullable: true
        prevCursor:
          type: string
          description: Cursor for fetching the previous page (only for cursor pagination)
          nullable: true
    ExternalBffInvoicePayableV1Model:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          enum:
            - REIMBURSEMENT
            - VENDOR_INVOICE
        metadata:
          $ref: '#/components/schemas/ExternalInvoicePayableMetadataV1Model'
        documentKey:
          type: string
          nullable: true
        documentName:
          type: string
          nullable: true
        senderEmail:
          type: string
          nullable: true
        companyId:
          type: string
          format: uuid
        failureReason:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: true
          enum:
            - EMAIL_NOT_ALLOWED
            - ERP_ENTRY_FAILED
            - OCR_FAILED
            - PAYMENT_APPROVAL_DECLINED
            - PAYMENT_FAILED
            - RESETTING_INVOICE_FAILED
            - APPROVAL_SUBMISSION_FAILED
            - USER_INPUT_VALIDATION_FAILED
            - DUPLICATE_INVOICE
            - PAYMENT_REJECTED
        failureContext:
          $ref: '#/components/schemas/ExternalUiClientExceptionV1Model'
        state:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          enum:
            - INIT
            - CREATED
            - IN_DRAFT
            - APPROVAL_REQUESTED
            - APPROVAL_PENDING
            - APPROVED_ACCOUNTING_ENTRY_PENDING
            - DECLINED
            - READY_FOR_PAYMENT_RELEASE
            - PENDING_PAYMENT_APPROVAL
            - PAYMENT_PAUSED
            - SCHEDULED
            - PAYMENT_PENDING
            - PARTIALLY_PAID
            - UNPAID
            - PAID
            - COMPLETED
            - RESET_PENDING
            - CANCELLATION_PENDING
            - CANCELLED
            - DUPLICATED
            - IMPORT_PENDING
        version:
          type: integer
          format: int32
        approvalNote:
          type: string
          nullable: true
        payeeName:
          type: string
          nullable: true
        payeeIban:
          type: string
          nullable: true
        payeeBban:
          type: string
          nullable: true
        payeeBic:
          type: string
          nullable: true
        payeeBankCode:
          type: string
          nullable: true
        payeeCountry:
          type: string
          nullable: true
        payeeAddress:
          type: string
          nullable: true
        payeeZipcode:
          type: string
          nullable: true
        payeeBankName:
          type: string
          nullable: true
        payeeBankCountry:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: true
          enum:
            - UNDEFINED
            - AC
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AN
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BU
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CP
            - CR
            - CS
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DG
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EA
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - EU
            - EZ
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - FX
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NT
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SF
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SU
            - SV
            - SX
            - SY
            - SZ
            - TA
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TP
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UK
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XI
            - XU
            - XK
            - YE
            - YT
            - YU
            - ZA
            - ZM
            - ZR
            - ZW
        payeeBankAddress:
          type: string
          nullable: true
        payeeBankZipcode:
          type: string
          nullable: true
        payeeCity:
          type: string
          nullable: true
        payeeBankCity:
          type: string
          nullable: true
        fiNumber:
          type: string
          nullable: true
        invoiceNumber:
          type: string
          nullable: true
        companyEntityId:
          type: string
          format: uuid
          nullable: true
        companyEntityName:
          type: string
          nullable: true
        amount:
          type: integer
          format: int64
          nullable: true
        currency:
          type: string
          nullable: true
          example: USD
        issuedDate:
          type: string
          format: date
          nullable: true
        dueDate:
          type: string
          format: date
          nullable: true
        paymentAt:
          type: string
          format: date-time
          nullable: true
        ocrCompletedAt:
          type: string
          format: date-time
          nullable: true
        canceledAt:
          type: string
          format: date-time
          nullable: true
        description:
          type: string
          nullable: true
        senderBankAccountId:
          type: string
          format: uuid
          nullable: true
        cancellationReason:
          type: string
          nullable: true
        vendor:
          $ref: '#/components/schemas/ExternalBffInvoicePayableVendorDetailsV1Model'
        user:
          $ref: '#/components/schemas/ExternalBffInvoicePayableUserDetailsV1Model'
        nextApprover:
          $ref: '#/components/schemas/ExternalNextApproverV1Model'
        reimbursement:
          $ref: '#/components/schemas/ExternalReimbursementV1Model'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        paymentPausedBy:
          type: string
          format: uuid
          nullable: true
        paymentPausedAt:
          type: string
          format: date-time
          nullable: true
      description: List of records for the current page
    ExternalInvoicePayableMetadataV1Model:
      type: object
      properties:
        type:
          type: string
          description: >-
            Type of metadata attached to the invoice payable, depending on its
            kind (vendor invoice or reimbursement).


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: false
          deprecated: false
          enum:
            - VENDOR_INVOICE_METADATA
            - REIMBURSEMENT_METADATA
      description: >-
        Metadata specific to the invoice payable type (e.g. reimbursement- or
        vendor-specific fields).
      discriminator:
        propertyName: type
    ExternalUiClientExceptionV1Model:
      type: object
      properties:
        name:
          type: string
          description: The error name
        type:
          type: string
          description: >-
            The error type


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: false
          deprecated: false
          enum:
            - BAD_REQUEST
            - UNAUTHORIZED
            - FORBIDDEN
            - NOT_FOUND
            - CONFLICT
            - UNPROCESSABLE_CONTENT
        errors:
          type: array
          description: List of errors providing details about what went wrong
          items:
            $ref: '#/components/schemas/ExternalUiClientExceptionErrorV1Model'
      description: Failure context when vendor onboarding fails.
      nullable: true
    ExternalBffInvoicePayableVendorDetailsV1Model:
      type: object
      properties:
        vendorId:
          type: string
          format: uuid
          nullable: true
        vatId:
          type: string
          nullable: true
        vendorAccountId:
          type: string
          format: uuid
          nullable: true
        vendorTaxCodeId:
          type: string
          format: uuid
          nullable: true
        vendorCostCenterId:
          type: string
          format: uuid
          nullable: true
        vendorSenderBankAccountId:
          type: string
          format: uuid
          nullable: true
        vendorIdentifier:
          type: string
          nullable: true
        vendorName:
          type: string
          nullable: true
        vendorAvatarUrl:
          type: string
          nullable: true
        vendorEmail:
          type: string
          nullable: true
        vendorWebsite:
          type: string
          nullable: true
        vendorCountry:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: true
          enum:
            - UNDEFINED
            - AC
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AN
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BU
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CP
            - CR
            - CS
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DG
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EA
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - EU
            - EZ
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - FX
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NT
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SF
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SU
            - SV
            - SX
            - SY
            - SZ
            - TA
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TP
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UK
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XI
            - XU
            - XK
            - YE
            - YT
            - YU
            - ZA
            - ZM
            - ZR
            - ZW
        vendorCity:
          type: string
          nullable: true
        vendorAddress:
          type: string
          nullable: true
        vendorZipcode:
          type: string
          nullable: true
        vendorCurrency:
          type: string
          nullable: true
          example: USD
        vendorContractValue:
          type: integer
          format: int64
          nullable: true
        vendorCreatedBy:
          type: string
          format: uuid
          nullable: true
    ExternalBffInvoicePayableUserDetailsV1Model:
      type: object
      properties:
        userId:
          type: string
          format: uuid
          nullable: true
        userFirstName:
          type: string
          nullable: true
        userLastName:
          type: string
          nullable: true
        userAvatarUrl:
          type: string
          nullable: true
    ExternalNextApproverV1Model:
      type: object
      properties:
        userId:
          type: string
          format: uuid
        firstName:
          type: string
        lastName:
          type: string
        fullName:
          type: string
        notificationChannel:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          enum:
            - MS_TEAMS
            - SLACK
            - WEB_APP
        approvalSentAt:
          type: string
          format: date-time
    ExternalReimbursementV1Model:
      type: object
      properties:
        id:
          type: string
          format: uuid
        companyId:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
        expenseIds:
          type: array
          items:
            type: string
            format: uuid
        status:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          enum:
            - IN_PROGRESS
            - SUCCEEDED
            - FAILED
            - REJECTED
            - RESET
        createdAt:
          type: string
          format: date-time
    ExternalUiClientExceptionErrorV1Model:
      type: object
      properties:
        type:
          type: string
          description: A string code identifying the error type
        message:
          type: string
          description: A human-readable message providing more details about the error
        path:
          type: array
          description: >-
            Optional path of the error when the error is for a specific field.
            Used mostly on BAD_REQUEST errors, that path will match the field
            name on the request object
          nullable: true
          items:
            type: string
            description: >-
              Optional path of the error when the error is for a specific field.
              Used mostly on BAD_REQUEST errors, that path will match the field
              name on the request object
            nullable: true
        context:
          type: object
          additionalProperties:
            type: object
            description: >-
              Optional context providing additional information about the error.
              This can include any relevant data that might help in
              understanding or resolving the error
            nullable: true
          description: >-
            Optional context providing additional information about the error.
            This can include any relevant data that might help in understanding
            or resolving the error
          nullable: true
      description: List of errors providing details about what went wrong
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````